Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76905 - imagettftext command in php produces no output
Summary: imagettftext command in php produces no output
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: freetype
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-29 03:39 UTC by Artie Ball
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-29 03:39:17 UTC


Attachments (Terms of Use)

Description Artie Ball 2002-10-29 03:39:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
when I run a php script which contains the imagettftext command, I get no 
output. The httpd error log contains the following:
[Mon Oct 28 20:51:44 2002] [info] (104)Connection reset by peer: 
core_output_filter: writing data to the network
[Mon Oct 28 20:51:44 2002] [info] (32)Broken pipe: core_output_filter: writing 
data to the network
If I run the same php script with the imagettftext command commented out, no 
errors are logged and the correct image is output to the browser.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.compose a php script using the imagettftext command.
2.run the script
3.observe the browser output
4.check the httpd error log.
	

Actual Results:  no output image is produced in the browser.

Expected Results:  the output image containing the required text should have 
been sent to the browser.

Additional info:

using the RH 8.0 supplied gd, php and freetype programs

Comment 1 Artie Ball 2002-10-30 03:45:07 UTC
Solution found.  When specifying the font file to use, the path to the font 
file must be absolute.  i.e. /var/www/html/project/arial.ttf  not just 
project/arial.ttf.


Note You need to log in before you can comment on or make changes to this bug.